# Class AbstractAnnotationValueVisitor7<R,P>

java.lang.Object
javax.lang.model.util.AbstractAnnotationValueVisitor6<R,P>
javax.lang.model.util.AbstractAnnotationValueVisitor7<R,P>

Type Parameters:
  `R` - the return type of this visitor's methods
  `P` - the type of the additional parameter to this visitor's methods.

All Implemented Interfaces:
  `AnnotationValueVisitor<R,P>`

Direct Known Subclasses:
  `AbstractAnnotationValueVisitor8`

@SupportedSourceVersion(RELEASE_7) public abstract class AbstractAnnotationValueVisitor7<R,P> extends AbstractAnnotationValueVisitor6<R,P>
A skeletal visitor for annotation values with default behavior appropriate for the `RELEASE_7` source version.

Since:
  1.7
See Also:
  - Compatibility note for subclasses
  - `AbstractAnnotationValueVisitor6`
  - `AbstractAnnotationValueVisitor8`
  - `AbstractAnnotationValueVisitor9`
  - `AbstractAnnotationValueVisitor14`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractAnnotationValueVisitor7()`
Deprecated.
Release 7 is obsolete; update to a visitor for a newer release level.

## Method Summary

### Methods declared in class javax.lang.model.util.AbstractAnnotationValueVisitor6

`visit, visit, visitUnknown`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.lang.model.element.AnnotationValueVisitor

`visitAnnotation, visitArray, visitBoolean, visitByte, visitChar, visitDouble, visitEnumConstant, visitFloat, visitInt, visitLong, visitShort, visitString, visitType`

## Constructor Details

### AbstractAnnotationValueVisitor7

@Deprecated(since="12") protected AbstractAnnotationValueVisitor7()
Deprecated.
Release 7 is obsolete; update to a visitor for a newer release level.
Constructor for concrete subclasses to call.